Bug 97005 - Video sync lost on IBM ThinkPad T30
Video sync lost on IBM ThinkPad T30
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-08 12:38 EDT by baiti
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 13:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description baiti 2003-06-08 12:38:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030527
Debian/1.3.1-2

Description of problem:
I am running a standard RH 9 installation on an IBM ThinkPad T30 Mod 2366-97G.
The grafics hardware is identified by lspci as:
ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

When the system isn't touched for a while and the screen blanking kicks in then
when the mouse is moved or a key is pressed the video comes back out of sync.
The same effect can be forced by pressing Fn-F3 (which explicitly turns the LCD
off).

Other than terminate/restart of X11 or rebooting the system the only method that
resyncs the screen is to go through a suspend/resume cycle via Fn-F4 key
combination.

In addition to this problem, the Fn-F7 that is supposed to cycle from LCD ->
LCD+CRT -> CRT is a dead key that does not have any effect. The  video signal is
always sent to both, the LCD and the external CRT. Unfortunately switching to a
lower resolution does not seem to reduce the horizontal sync frequency at all
which is very bad if one needs to connect to a projector that doesn't sync at
the higher frequency.

Very interesting is that booting a Knoppix-3.2 CD which also comes with
XFree86-4.3.0 does _NOT_ exhibit this problem. Fn-F3 works just fine and so does
screen blanking as a result of being idle for a while.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. startx
2. press Fn-F3 to turn the LCD off
3. press any key to turn the LCD back on

alternatively: just wait till screen blanks automatically


Actual Results:  the result is a video screen that has lost synchronization

Expected Results:  cleanly synced video display

Additional info:
Comment 1 Mike A. Harris 2004-09-01 13:04:14 EDT
Sounds like a non-XFree86 problem, possibly kernel, possibly
kernel/X/BIOS interaction.  Please upgrade to Fedora Core 2
and if the problem persists, test xorg-x11 from rawhide.  If it
still occurs, please file a bug report in upstream X.Org bugzilla
at http://bugs.freedesktop.org in the "xorg" component, and
if you paste the URL here, we will track the issue in upstream
bugzilla.

Thanks in advance for testing rawhide xorg.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.